AuthenticationException (Java SE 23 & JDK 23)
Description: declaration: module: java.security.sasl, package: javax.security.sasl, class: AuthenticationException
Keywords: javax.security.sasl.AuthenticationException class

# Class AuthenticationException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.io.IOException
javax.security.sasl.SaslException
javax.security.sasl.AuthenticationException

All Implemented Interfaces:
  `Serializable`

public class AuthenticationException extends SaslException
This exception is thrown by a SASL mechanism implementation to indicate that the SASL exchange has failed due to reasons related to authentication, such as an invalid identity, passphrase, or key.

Note that the lack of an AuthenticationException does not mean that the failure was not due to an authentication error. A SASL mechanism implementation might throw the more general SaslException instead of AuthenticationException if it is unable to determine the nature of the failure, or if does not want to disclose the nature of the failure, for example, due to security reasons.

Since:
  1.5
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AuthenticationException()`
  Constructs a new instance of `AuthenticationException`.
  `AuthenticationException(String detail)`
  Constructs a new instance of `AuthenticationException` with a detailed message.
  `AuthenticationException(String detail, Throwable ex)`
  Constructs a new instance of `AuthenticationException` with a detailed message and a root exception.

- ## Method Summary

  ### Methods declared in class javax.security.sasl.SaslException

  `toString`

  ### Methods declared in class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### AuthenticationException

    public AuthenticationException()
    Constructs a new instance of `AuthenticationException`. The root exception and the detailed message are null.

  - ### AuthenticationException

    public AuthenticationException(String detail)
    Constructs a new instance of `AuthenticationException` with a detailed message. The root exception is null.
    Parameters:
      `detail` - A possibly null string containing details of the exception.
    See Also:
      - `Throwable.getMessage()`

  - ### AuthenticationException

    public AuthenticationException(String detail, Throwable ex)
    Constructs a new instance of `AuthenticationException` with a detailed message and a root exception.
    Parameters:
      `detail` - A possibly null string containing details of the exception.
      `ex` - A possibly null root exception that caused this exception.
    See Also:
      - `Throwable.getMessage()`
      - `Throwable.getCause()`